


     XWARROW(3X)                                           XWARROW(3X)




     NAME
          XwarrowWidgetClass - the X Widget's arrow drawing widget

     SYNOPSIS
          #include <X11/StringDefs.h>
          #include <X11/Intrinsic.h>
          #include <Xw/Xw.h>
          #include <Xw/Arrow.h>


     CLASSES
          The Arrow widget is built from the Core and XwPrimitive
          classes.

          The widget class to use when creating an arrow is
          XwarrowWidgetClass.  The class name for this widget is
          Arrow.

     DESCRIPTION
          The Arrow widget supports drawing of an arrow within the
          bounds of its window. It uses the primitive widget's border
          highlighting routines.

          The arrow can be drawn in the directions of up, down, left
          and right.  The Arrow widget also supports two types of
          callbacks: Button selections, and Button releases.

     NEW RESOURCES
          The Arrow widget defines a set of resources used by the
          programmer to specify the data for the arrow.  The
          programmer can also set the values for the Core and
          Primitive widget classes to set attributes for this widget.
          To reference a resource in a .Xdefaults file, strip off the
          XtN from the resource string.  The following table contains
          the set of resources defined by the Arrow widget.


                            Arrow Resource Set
          Name                Class               Type   Default
          ______________________________________________________
          XwNarrowDirection   XwCArrowDirection   XtRInt up



          XwNarrowDirection
               This resource is the means by which the arrow direction
               is set.  It can be defined in either of two ways:
               Through the .Xdefaults file by the strings "up",
               "down", "left" and "right".  Within an arg list for use
               in XtSetValues() by the defines XwARROW_UP,
               XwARROW_DOWN, XwARROW_LEFT and XwARROW_RIGHT.



     Hewlett-Packard Company       - 1 -                   Aug 9, 1988






     XWARROW(3X)                                           XWARROW(3X)




     INHERITED RESOURCES
          The following resources are inherited from the named
          superclasses:


                           Core Resource Set -- CORE(3X)
     Name                   Class                  Type             Default
     __________________________________________________________________________
     XtNancestorSensitive   XtCSenstitive          XtRBoolean       TRUE
     XtNx                   XtCPosition            XtRPosition      0
     XtNy                   XtCPosition            XtRPosition      0
     XtNwidth               XtCWidth               XtRDimension     0
     XtNheight              XtCHeight              XtRDimension     0
     XtNdepth               XtCDepth               XtRInt           0
     XtNbackground          XtCBackground          XtRPixel         White
     XtNbackgroundPixmap    XtCPixmap              XtRPixmap        Unspecified
     XtNborderWidth         XtCBorderWidth         XtRDimension     1
     XtNborderColor         XtCBorderColor         XtRPixel         Black
     XtNborderPixmap        XtCPixmap              XtRPixmap        Unspecified
     XtNsensitive           XtCSensitive           XtRBoolean       TRUE
     XtNmappedWhenManaged   XtCMappedWhenManaged   XtRBoolean       TRUE
     XtNdestroyCallback     XtCCallback            XtRPointer       NULL
     XtNtranslations        XtCTranslations        XtRTranslations  NULL





                    Primitive Resource Set -- XWPRIMITIVE(3X)
     Name                    Class                   Type      Default
     ________________________________________________________________________
     XtNforeground           XtCForeground           XtRPixel     Black
     XwNbackgroundTile       XwCBackgroundTile       XtRInt       background
     XwNtraversalType        XwCTraversalType        XtRInt       highlight_off
     XwNhighlightStyle       XwCHighlightStyle       XtRInt       pattern_border
     XwNhighlightColor       XtCForeground           XtRPixel     Black
     XwNhighlightTile        XwCHighlightTile        XtRInt       50_foreground
     XwNhighlightThickness   XwCHighlightThickness   XtRDimension 0
     XwNrecomputeSize        XwCRecomputeSize        XtRBoolean   TRUE
     XwNselect               XtCCallback             XtRPointer   NULL
     XwNrelease              XtCCallback             XtRPointer   NULL



     KEYBOARD TRAVERSAL
          If the XwNtraversalType resource is set to
          highlight_traversal (XwHIGHLIGHT_TRAVERSAL in an argument
          list) at create time or during a call to XtSetValues, the
          XwPrimitive superclass will automatically augment the
          primitive widget's translations to support keyboard
          traversal.  Refer to the XwPrimitive man page for a complete



     Hewlett-Packard Company       - 2 -                   Aug 9, 1988






     XWARROW(3X)                                           XWARROW(3X)




          description of these translations.  Refer to the
          TRANSLATIONS section in this man page for a description of
          the translations local to this widget.

     TRANSLATIONS
          Input to the Arrow widget is driven by the mouse buttons.
          The Primitive class resources of XwNselect and XwNrelease
          define the callback lists used by the Arrow widget.  Thus,
          to receive input from an arrow, the application adds
          callbacks to the arrow using these two resource types.  The
          default translation set for the Arrow widget is as follows.


              <Btn1Down>:        select()
              <Btn1Up>:          release()
              <EnterWindow>:     enter()
              <LeaveWindow>:     leave()
              <KeyDown>Select:   select()     HP "Select" key
              <KeyUp>Select:     unselect()   HP "Select" key


     ACTIONS
          select:
               Selections occurring on an arrow cause the arrow to be
               displayed as selected and its primitive XwNselect
               callbacks are called.

          release:
               Release redraws the arrow in its normal mode and calls
               its primitive XwNrelease callbacks.

          enter:
               If the XwNtraversalType resource has been set to
               XwHIGHLIGHT_ENTER then the arrow's border will be
               highlighted.  Otherwise no action is taken.

          leave:
               If the XwNtraversalType resource has been set to
               XwHIGHLIGHT_ENTER then the arrow's border will be
               unhighlighted.  Otherwise no action is taken.

     ORIGIN
          Hewlett-Packard Company.

     SEE ALSO
          CORE(3X), XWPRIMITIVE(3X), XWCREATETILE(3X),
          Programming With The HP X Widgets,
          Programming With Xt Intrinsics,
          Programming With Xlib.





     Hewlett-Packard Company       - 3 -                   Aug 9, 1988



