.TH XWMOVEFOCUS 3X
.SH NAME
XwMoveFocus \- move the keyboard focus (and the pointer) to a
new toplevel widget.
.SH SYNOPSIS
#include <X11/Intrinsic.h>
.br
#include <Xw/Xw.h>
.PP
void XwMoveFocus (w)
.br
Widget w;
.SH ARGUMENTS
.TP 5
w
This is the ID of the widget to which the application
wishes to move the focus. It should be the toplevel
widget in a widget hierarchy and it should be a
subclass of XwManager.
.SH DESCRIPTION
XwMoveFocus is a very specialized function which can be used
to move the keyboard and pointer focus to another toplevel
widget hierarchy.  It is useful when an application using
keyboard traversal has multiple toplevel widget hierarchies
and wishes to be able to move between these hierarchies
without using the pointer device.  Specifically, this
function will warp the pointer to (1,1) in the specified
widget and will also make a call to XSetInputFocus (this is
necessary for use with window managers using an explicit
listener mode).
.SH ORIGIN
Hewlett-Packard Company.
.SH "SEE ALSO"
Programming With The HP X Widgets,
.br
Programming With Xt Intrinsics,
.br
Programming With Xlib.
